LFR-FSW - Bug #863

Produits SCIENCE : périodes des ACQUISITION_TIME et TIME non nominaux avec TIMEGEN

28/12/2016 01:23 PM - bruno katra

Status: Closed Start date: 28/12/2016
Priority: Urgent Due date:

Assignee: Alexis Jeandet % Done: 10%
Category: R3+ Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Les produits BP arrivent a la cadence attendue mais avec des champs ACQUISITION_TIME qui n'ont pas la bonne période

seulement lorsqu'on utilise TIMEGEN.

Exemple:

2016 12 28 12:33:59:717 TM_LFR_SCIENCE_NORMAL_BP2_F0
2016 12 28 12:34:19:797 TM_LFR_SCIENCE_NORMAL_BP2_F0
2016 12 28 12:34:39:771 TM_LFR_SCIENCE_NORMAL_BP2_F0
2016 12 28 12:34:59:771 TM_LFR_SCIENCE_NORMAL_BP2_F0
2016 12 28 12:35:19:782 TM_LFR_SCIENCE_NORMAL_BP2_F0

time = 0x 1ff66d6¢ ffeb
time = 0x 1ff66d7a ffcf
time = 0x 1ff66d88 ffb4
time = 0x 1ff66d96 ff9a
time = Ox 1ff66da4 f81

Les BP2 sont bien arrivés toutes les 20s mais leur ACQUISITION_TIME est espacé de 14s

Idem BP1:

2016 12 28 12:33:43:773 TM_LFR_SCIENCE_NORMAL _BP1_F0 time = 0x 1ff66d60 ffff
2016 12 28 12:33:47:711 TM_LFR_SCIENCE_NORMAL_BP1_F0 time = 0x 1ff66d63 fffb
2016 1228 12:33:51:711 TM_LFR_SCIENCE_NORMAL_BP1_FO0 time = 0x 1f{66d66 fff5
2016 12 28 12:33:55:774 TM_LFR_SCIENCE_NORMAL_BP1_FO0 time = 0x 1ff66d69 fff0

Les BP1 ont bien arrivés toutes les 4s mais leur ACQUISITION_TIME est espacé de 3s

Idem pour les ASM : 3s au lieu de 4s
Idem pour les SWF : 15s au lieu de 22s

NB : les mémes tests SANS TIMEGEN ne montrent pas le probléme.
NB2 : Le bug n'était pas présent en R3 + ancien VHDL (nous avons revérifié les résultats des tests de charge effectués en oct 2015)

Contexte du test
FSW 3.1.0.4

VHDL 1.1.91

EM1 avec TIMEGEN

History

#1 - 28/12/2016 01:28 PM - bruno katra

- Subject changed from BP1 et BP2 : périodes des ACQUISITION_TIME et TIME non nominaux avec TIMEGEN to Produits SCIENCE : périodes des
ACQUISITION_TIME et TIME non nominaux avec TIMEGEN

- Description updated

#2 - 28/12/2016 01:32 PM - bruno katra

- Description updated

#3 - 02/01/2017 01:39 PM - bruno katra

Uen piste supplémentaire, on voit dans le temps des HK les saut de secondes qui explique le pb :

Seconds : 536173285.0282440185546875
Seconds : 536173286.0282440185546875
Seconds : 536173287.0282135009765625
Seconds : 536173287.0281982421875000
Seconds : 536173288.0281982421875000
Seconds : 536173289.0281829833984375
Seconds : 536173290.0281829833984375
Seconds : 536173290.0281982421875000
Seconds : 536173291.0281829833984375
Seconds : 536173292.0281677246093750
Seconds : 536173292.0282287597656250
Seconds : 536173293.0281372070312500
Seconds : 536173294.0281219482421875
Seconds : 536173294.0281066894531250
Seconds : 536173295.0280914306640625

#4 - 02/01/2017 05:02 PM - bruno katra
- Status changed from New to In Progress
- Assignee changed from paul leroy to Alexis Jeandet

- % Done changed from 0 to 10

Nouveau test avec une mini-LFR TIMEGEN : le probléme n'apparait pas.

DONC
Le probléme vient du nouveau VHDL TIMEGEN.

#5 - 13/12/2018 02:49 PM - Alexis Jeandet

- Status changed from In Progress to Closed
